php_openssl.dll: cannot open shared object file

Problems with the Linux version of XAMPP, questions, comments, and anything related.

php_openssl.dll: cannot open shared object file

Postby ifontaine » 23. September 2011 03:06


I'm a newbie with vtiger and manage to install it on ubuntu 10.04 using xampp. I was able to configure webmail with gmail but not to configure the outgoing server.

Since I enabled php_openssl.dll in php.ini I'm getting this warning when I start the xampp server:

Starting XAMPP for Linux 1.7.7...

Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/php_openssl.dll' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20090626/php_openssl.dll: cannot open shared object file: No such file or directory in Unknown on line 0

I understand, this means that the php_openssl.dll is the dll for windows installation. I did try to install libssl.0.9.8 and modify php.ini accordingly but that didn't work.

:? Could anyone help me on this please ?
Posts: 1
Joined: 23. September 2011 02:55

Re: php_openssl.dll: cannot open shared object file

Postby JonB » 23. September 2011 21:28

@ ifontaine -

A. - Are you referring to the 'outgoing SMTP server settings' in vtiger???

B - did you add/uncomment that line for the openssl DLL to your php.ini??? (maybe to try to make the SMTP work???)

Apache 2.2.21, MySQL 5.5.16, PHP 5.3.8 & PEAR + SQLite 2.8.17/3.6.16 + multibyte (mbstring) support, Perl 5.10.1, ProFTPD 1.3.3e, phpMyAdmin 3.4.5, OpenSSL 1.0.0c, GD 2.0.1, Freetype2 2.1.7, libjpeg 6b, libpng 1.2.12, gdbm 1.8.0, zlib 1.2.3, expat 1.2, Sablotron 1.0, libxml 2.7.6, Ming 0.4.2, Webalizer 2.21-02, pdf class 009e, ncurses 5.3, mod_perl 2.0.5, FreeTDS 0.63, gettext 0.17, IMAP C-Client 2007e, OpenLDAP (client) 2.3.11, mcrypt 2.5.7, mhash 0.8.18, eAccelerator, cURL 7.19.6, libxslt 1.1.26, libapreq 2.12, FPDF 1.6, XAMPP Control Panel 0.8, bzip 1.0.5, PBXT 1.0.09-rc, PBMS 0.5.08-alpha, ICU4C Library 4.2.1
MD5 checsum: 7af1942fb5df3e03dea34fa221b65b2a

it looks like OpenSSL is included in 1.77

Edited -
I checked OpenSSL is 'compiled-in' in XAMPP/LAMPP 1.77, as a result - no is required. It 'should' show in the Configure Command section when you run phpinfo().

I'm running LAMPP v1.7.4 on this box - no way to check right now, I'm going to check the 1.77 tar shortly.

Good Luck
User avatar
AF Moderator
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests